Refer friends and earn rewards this week
Kongo Docs

Get Trader Leaderboard Rankings

Returns trader rankings by profit/loss or volume

Get Help
GET
/v1/leaderboard

Query Parameters

category?string

Category filter.

Default"OVERALL"

Value in

  • "OVERALL"
  • "POLITICS"
  • "SPORTS"
  • "CRYPTO"
  • "FINANCE"
  • "CULTURE"
  • "MENTIONS"
  • "WEATHER"
  • "ECONOMICS"
  • "TECH"
timePeriod?string

Time window for aggregation.

Default"DAY"

Value in

  • "DAY"
  • "WEEK"
  • "MONTH"
  • "ALL"
orderBy?string

Ordering criteria.

Default"PNL"

Value in

  • "PNL"
  • "VOL"
limit?integer

Maximum number of traders to return.

Range1 <= value <= 50
Default25
offset?integer

Starting index for pagination.

Range0 <= value <= 1000
Default0
user?string

Filter to a single wallet address.

userName?string

Filter to a single username.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/leaderboard"
[  {    "rank": "1",    "proxyWallet": "0x1234567890abcdef1234567890abcdef12345678",    "userName": "Theo4",    "vol": 22862194,    "pnl": 8499002,    "profileImage": "https://cdn.kuest.com/profiles/theo4.png",    "xUsername": null,    "verifiedBadge": null  }]
{  "error": "unknown_field: foo"}
{  "error": "internal_error"}